[package]
name = "bard"
version = "0.3.14"
edition = "2024"
description = "Dioxus components that will display a Tavern blogging system Blog."
repository = "/CyberMages/tavern"
authors = ["CyberMages LLC <Software@CyberMagesLLC.com>",
           "Jason Travis Smith <Myrddin@CyberMages.tech>"]
readme = "README.md"
license = "Apache-2.0"

[[example]]
name = "blog"
path = "examples/blog.rs"

[dependencies]
dioxus = { version = "=0.7.0-rc.1", features = ["router", "fullstack"] }
tavern = { version = "0.3.0", path = "../tavern", registry="cybermages", optional = true}
tokio = { version = "1.0", features = ["rt", "macros"], optional = true }


[features]
default = ["tavern"]
web = ["tavern", "dioxus/web"]
server = ["tavern/database", "dioxus/server", "tokio"]
